// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved.

#include "SamsungIAP.h"
#include "Core.h"
#include "ModuleManager.h"
#include "IPluginManager.h"

#define LOCTEXT_NAMESPACE "FSamsungIAPModule"

void SamsungIAPModule::StartupModule()
{
    // This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module

    // Get the base directory of this plugin
    FString BaseDir = IPluginManager::Get().FindPlugin("SamsungIAP")->GetBaseDir();
}

void SamsungIAPModule::ShutdownModule()
{
    // This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
    // we call this function before unloading the module.
}

#undef LOCTEXT_NAMESPACE
    
IMPLEMENT_MODULE(SamsungIAPModule, SamsungIAP)
